summary refs log tree commit diff
path: root/home/.local/bin/pbpaste
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-02-09 17:40:41 -0500
committerJune McEnroe <june@causal.agency>2021-02-09 17:40:41 -0500
commitd3aa4117f6210bb30dd6d17b42bdb40e3c5399d0 (patch)
tree209efd428c68fee383174ff35a016e1930249306 /home/.local/bin/pbpaste
parentUse flags for pbd client behaviour (diff)
downloadsrc-d3aa4117f6210bb30dd6d17b42bdb40e3c5399d0.tar.gz
src-d3aa4117f6210bb30dd6d17b42bdb40e3c5399d0.zip
Add pbcopy, pbpaste, open dispatch scripts
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/pbpaste11
1 files changed, 11 insertions, 0 deletions
diff --git a/home/.local/bin/pbpaste b/home/.local/bin/pbpaste
new file mode 100755
index 00000000..2924f01e
--- /dev/null
+++ b/home/.local/bin/pbpaste
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+if [ -n "${SSH_CLIENT:-}" ]; then
+	exec pbd -p
+elif [ -n "${DISPLAY:-}" ]; then
+	exec xsel -bo
+else
+	echo "${0}: don't know what to do" >&2
+	exit 1
+fi
an>Don't output a pre in hilex by defaultJune McEnroe 2021-01-12Move hilex out of hilex directoryJune McEnroe 2021-01-12Consolidate hilex formatters into hilex.cJune McEnroe 2021-01-12Remove hacky tagging from hilexJune McEnroe 2021-01-12Add htagml -iJune McEnroe 2021-01-12Render tag index in HTMLJune McEnroe 2021-01-12Add htagml -xJune McEnroe 2021-01-12Prevent matching the same tag twiceJune McEnroe 2021-01-12Process htagml file line by lineJune McEnroe 2021-01-12Split fields by tab onlyJune McEnroe 2021-01-12List both Makefile and html.sh under README.7June McEnroe 2021-01-12Add htagml exampleJune McEnroe 2021-01-12Use mandoc and htagml for bin htmlJune McEnroe 2021-01-12Add htagmlJune McEnroe 2021-01-12Replace causal.agency with a simple mdoc pageJune McEnroe 2021-01-11Publish "Using vi"June McEnroe 2021-01-11Enable diff.colorMovedJune McEnroe 2021-01-10Set less search case-insensitiveJune McEnroe 2021-01-10Set EXINITJune McEnroe 2021-01-09Add c -t flag to print expression typeJune McEnroe 2021-01-05Update taglineJune McEnroe